from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XToolbarController(XInterface, Protocol):
    def execute(self, KeyModifier: int) -> None: ...
    def click(self) -> None: ...
    def doubleClick(self) -> None: ...
    def createPopupWindow(self) -> XWindow: ...
    def createItemWindow(self, Parent: XWindow) -> XWindow: ...
